| featcopy

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Read and write a feature table

## Description

featcopy reads a feature table and reformats it in any of the supported output feature formats.

## Usage

Here is a sample session with featcopy

    % featcopy
    Read and write a feature table
    Input feature table: paamir.gff3
    Features output [x13776.gff]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Read and write a feature table
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-features]          features   (no help text) features value
      [-outfeat]           featout    [unknown.gff] Output features UFO

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-features" associated qualifiers
       -fformat1           string     Features format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -fopenfile1         string     Features file name
       -fask1              boolean    Prompt for begin/end/reverse
       -fbegin1            integer    Start of the features to be used
       -fend1              integer    End of the features to be used
       -freverse1          boolean    Reverse (if DNA)
       -fcircular1         boolean    Circular sequence features

       "-outfeat" associated qualifiers
       -offormat2          string     Output feature format
       -ofopenfile2        string     Features file name
       -ofextension2       string     File name extension
       -ofdirectory2       string     Output directory
       -ofname2            string     Base file name
       -ofsingle2          boolean    Separate file for each entry

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-features] (Parameter 1) | features | (no help text) features value | Readable feature table | Required
[-outfeat] (Parameter 2) | featout | Output features UFO | Writeable feature table | unknown.gff
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-features" associated features qualifiers
-fformat1 -fformat_features | string | Features format | Any string |
-iquery1 -iquery_features | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_features | integer | Input start position offset | Any integer value | 0
-fopenfile1 -fopenfile_features | string | Features file name | Any string |
-fask1 -fask_features | boolean | Prompt for begin/end/reverse | Boolean value Yes/No | N
-fbegin1 -fbegin_features | integer | Start of the features to be used | Any integer value | 0
-fend1 -fend_features | integer | End of the features to be used | Any integer value | 0
-freverse1 -freverse_features | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-fcircular1 -fcircular_features | boolean | Circular sequence features | Boolean value Yes/No | N
"-outfeat" associated featout qualifiers
-offormat2 -offormat_outfeat | string | Output feature format | Any string |
-ofopenfile2 -ofopenfile_outfeat | string | Features file name | Any string |
-ofextension2 -ofextension_outfeat | string | File name extension | Any string |
-ofdirectory2 -ofdirectory_outfeat | string | Output directory | Any string |
-ofname2 -ofname_outfeat | string | Base file name | Any string |
-ofsingle2 -ofsingle_outfeat | boolean | Separate file for each entry | Boolean value Yes/No | N
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

featcopy reads any normal features UFOs.

### Input files for usage example

### File: paamir.gff3

    ##gff-version 3
    ##sequence-region X13776 1 2167
    #!Date 2011-05-24
    #!Type DNA
    #!Source-version EMBOSS 6.4.0.0
    X13776	EMBL	databank_entry	1	2167	.	+	.	ID=X13776.1;organism=Pseudomonas aeruginosa;map=38 min;strain=PAC;isolate=PAC 1;mol_type=genomic DNA;db_xref=taxon:287
    X13776	EMBL	CDS	1289	1879	.	+	0	ID=X13776.2;transl_table=11;gene=amiR;note=aliphatic amidase regulator%2C positive regulator of amiE;db_xref=GOA:P10932;db_xref=InterPro:IPR005561;db_xref=InterPro:IPR008327;db_xref=InterPro:IPR011006;db_xref=InterPro:IPR011991;db_xref=PDB:1QO0;db_xref=UniProtKB/Swiss-Prot:P10932;protein_id=CAA32023.1;translation=MSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPEAFDVPVDVVFTSIFQNGHHDEIAALLAAGTPRTTLVALVEYESPAVLSQIIELECHGVITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAGQARINQAKVLLMQRHGWDEREAHQHLSREAMKRREPILKIAQELLGNEPSA
    X13776	EMBL	CDS	135	1292	.	+	0	ID=X13776.3;transl_table=11;gene=amiC;note=negative regulator of amiR;db_xref=GOA:P27017;db_xref=InterPro:IPR000709;db_xref=PDB:1PEA;db_xref=PDB:1QNL;db_xref=PDB:1QO0;db_xref=UniProtKB/Swiss-Prot:P27017;protein_id=CAA32024.1;translation=MGSHQERPLIGLLFSETGVTADIERSHAYGALLAVEQLNREGGVGGRPIETLSQDPGGDPDRYRLCAEDFIRNRGVRFLVGCYMSHTRKAVMPVVERADALLCYPTPYEGFEYSPNIVYGGPAPNQNSAPLAAYLIRHYGERVVFIGSDYIYPRESNHVMRHLYRQHGGTVLEEIYIPLYPSDDDLQRAVERIYQARADVVFSTVVGTGTAELYRAIARRYGDGRRPPIASLTTSEAEVAKMESDVAEGQVVVAPYFSSIDTPASRAFVQACHGFFPENATITAWAEAAYWQTLLLGRAAQAAGNWRVEDVQRHLYDIDIDAPQGPVRVERQNNHSRLSSRIAEIDARGVFQVRWQSPEPIRPDPYVVVHNLDDWSASMGGGPLP
    X13776	EMBL	promoter	8	24	.	+	.	ID=X13776.4;note=proposed rpoN-dependent promoter
    X13776	EMBL	promoter	65	81	.	+	.	ID=X13776.5;note=proposed rpoN-dependent promoter
    X13776	EMBL	ribosome_entry_site	121	126	.	+	.	ID=X13776.6;note=proposed Shine-Dalgarno sequence
    X13776	EMBL	sequence_variant	912	1167	.	+	.	ID=X13776.7;gene=amiC;replace=;note=ClaI fragment deleted in pSW36%2C constitutive phenotype
    X13776	EMBL	sequence_feature	1	1	.	+	.	ID=X13776.8;note=last base of an XhoI site
    X13776	EMBL	sequence_feature	648	653	.	+	.	ID=X13776.9;note=end of 658bp XhoI fragment%2C deletion in pSW3 causes constitutive expression of amiE
    X13776	EMBL	sequence_conflict	1281	1281	.	+	.	ID=X13776.10;replace=g;citation=[3]

## Output file format

featcopy outputs a feature file.

### Output files for usage example

### File: x13776.gff

    ##gff-version 3
    ##sequence-region X13776 1 2167
    #!Date 2013-07-15
    #!Type DNA
    #!Source-version EMBOSS 6.6.0.0
    X13776	EMBL	databank_entry	1	2167	.	+	.	ID=X13776.1;organism=Pseudomonas aeruginosa;map=38 min;strain=PAC;isolate=PAC 1;mol_type=genomic DNA;db_xref=taxon:287
    X13776	EMBL	CDS	1289	1879	.	+	0	ID=X13776.2;transl_table=11;gene=amiR;note=aliphatic amidase regulator%2C positive regulator of amiE;db_xref=GOA:P10932;db_xref=InterPro:IPR005561;db_xref=InterPro:IPR008327;db_xref=InterPro:IPR011006;db_xref=InterPro:IPR011991;db_xref=PDB:1QO0;db_xref=UniProtKB/Swiss-Prot:P10932;protein_id=CAA32023.1;translation=MSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPEAFDVPVDVVFTSIFQNGHHDEIAALLAAGTPRTTLVALVEYESPAVLSQIIELECHGVITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAGQARINQAKVLLMQRHGWDEREAHQHLSREAMKRREPILKIAQELLGNEPSA
    X13776	EMBL	CDS	135	1292	.	+	0	ID=X13776.3;transl_table=11;gene=amiC;note=negative regulator of amiR;db_xref=GOA:P27017;db_xref=InterPro:IPR000709;db_xref=PDB:1PEA;db_xref=PDB:1QNL;db_xref=PDB:1QO0;db_xref=UniProtKB/Swiss-Prot:P27017;protein_id=CAA32024.1;translation=MGSHQERPLIGLLFSETGVTADIERSHAYGALLAVEQLNREGGVGGRPIETLSQDPGGDPDRYRLCAEDFIRNRGVRFLVGCYMSHTRKAVMPVVERADALLCYPTPYEGFEYSPNIVYGGPAPNQNSAPLAAYLIRHYGERVVFIGSDYIYPRESNHVMRHLYRQHGGTVLEEIYIPLYPSDDDLQRAVERIYQARADVVFSTVVGTGTAELYRAIARRYGDGRRPPIASLTTSEAEVAKMESDVAEGQVVVAPYFSSIDTPASRAFVQACHGFFPENATITAWAEAAYWQTLLLGRAAQAAGNWRVEDVQRHLYDIDIDAPQGPVRVERQNNHSRLSSRIAEIDARGVFQVRWQSPEPIRPDPYVVVHNLDDWSASMGGGPLP
    X13776	EMBL	promoter	8	24	.	+	.	ID=X13776.4;note=proposed rpoN-dependent promoter
    X13776	EMBL	promoter	65	81	.	+	.	ID=X13776.5;note=proposed rpoN-dependent promoter
    X13776	EMBL	ribosome_entry_site	121	126	.	+	.	ID=X13776.6;note=proposed Shine-Dalgarno sequence
    X13776	EMBL	sequence_variant	912	1167	.	+	.	ID=X13776.7;gene=amiC;replace=;note=ClaI fragment deleted in pSW36%2C constitutive phenotype
    X13776	EMBL	sequence_feature	1	1	.	+	.	ID=X13776.8;note=last base of an XhoI site
    X13776	EMBL	sequence_feature	648	653	.	+	.	ID=X13776.9;note=end of 658bp XhoI fragment%2C deletion in pSW3 causes constitutive expression of amiE
    X13776	EMBL	sequence_conflict	1281	1281	.	+	.	ID=X13776.10;replace=g;citation=[3]

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aligncopy | Read and write alignments
aligncopypair | Read and write pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
cutseq | Remove a section from a sequence
degapseq | Remove non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieve sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featmerge | Merge two overlapping feature tables
featreport | Read and write a feature table
feattext | Return a feature table original text
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Mask all ambiguity characters in nucleotide sequences with N
maskambigprot | Mask all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
newseq | Create a sequence file from a typed-in sequence
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
nthseqset | Read and write (return) one set of sequences from many
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqcount | Read and count sequences
seqret | Read and write (return) sequences
seqretsetall | Read and write (return) many sets of sequences
seqretsplit | Read sequences and write them to individual files
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Read and write (return) sequences, skipping first few
splitsource | Split sequence(s) into original source sequences
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
union | Concatenate multiple sequences into a single sequence
vectorstrip | Remove vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None